Package com.usatiuk.dhfs.remoteobj

# Enum Class SyncHelper.ChangelogCmpResult

java.lang.Object
java.lang.Enum<SyncHelper.ChangelogCmpResult>
com.usatiuk.dhfs.remoteobj.SyncHelper.ChangelogCmpResult

All Implemented Interfaces:
  `Serializable`, `Comparable<SyncHelper.ChangelogCmpResult>`, `Constable`

Enclosing class:
  `SyncHelper`

public static enum SyncHelper.ChangelogCmpResult extends Enum<SyncHelper.ChangelogCmpResult>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONFLICT`
`EQUAL`
`NEWER`
`OLDER`

## Method Summary

Modifier and Type
Method
Description
`static SyncHelper.ChangelogCmpResult`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SyncHelper.ChangelogCmpResult[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EQUAL

public static final SyncHelper.ChangelogCmpResult EQUAL

### NEWER

public static final SyncHelper.ChangelogCmpResult NEWER

### OLDER

public static final SyncHelper.ChangelogCmpResult OLDER

### CONFLICT

public static final SyncHelper.ChangelogCmpResult CONFLICT

## Method Details

### values

public static SyncHelper.ChangelogCmpResult[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SyncHelper.ChangelogCmpResult valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null